<?php


declare (strict_types=1);

namespace core\base;

/**
 * 管理端控制器基类
 * Class BaseAdminController
 * @package core\base
 */
class BaseAdminController extends BaseController
{
    protected int $adminId = 0;
    protected array $adminInfo = [];

    public function initialize(): void
    {
        if (isset($this->request->adminInfo) && $this->request->adminInfo) {
            $this->adminInfo = $this->request->adminInfo->toArray();
            $this->adminId = $this->request->adminId;
        }
    }

}